Gecode::Gist::Shape Class Reference

The shape of a subtree. More...

`#include <visualnode.hh>`

## Public Member Functions

int | depth (void) const
| Return depth of the shape.
void | setDepth (int d)
| Set depth of the shape to d (must be smaller than original depth).
void | computeBoundingBox (void)
| Compute bounding box.
const Extent & | operator[] (int i) const
| Return extent at depth i.
Extent & | operator[] (int i)
| Return extent at depth i.
bool | getExtentAtDepth (int depth, Extent &extent)
| Return if extent exists at depth, if yes return it in extent.
const BoundingBox & | getBoundingBox (void) const
| Return bounding box.

## Static Public Member Functions

static Shape * | allocate (int d)
| Construct shape of depth d.
static void | deallocate (Shape *)

## Static Public Attributes

static Shape * | leaf
| Static shape for leaf nodes.
static Shape * | hidden
| Static shape for hidden nodes.

## Detailed Description

The shape of a subtree.

Definition at line 83 of file visualnode.hh.

## Member Function Documentation

## allocate()

Shape * Gecode::Gist::Shape::allocate | ( | int | d | ) |

inline static

Construct shape of depth d.

Definition at line 81 of file visualnode.hpp.

## deallocate()

void Gecode::Gist::Shape::deallocate | ( | Shape * | shape | ) |

inline static

Definition at line 91 of file visualnode.hpp.

## depth()

int Gecode::Gist::Shape::depth | ( | void |  | ) | const

inline

Return depth of the shape.

Definition at line 60 of file visualnode.hpp.

## setDepth()

void Gecode::Gist::Shape::setDepth | ( | int | d | ) |

inline

Set depth of the shape to d (must be smaller than original depth).

Definition at line 63 of file visualnode.hpp.

## computeBoundingBox()

void Gecode::Gist::Shape::computeBoundingBox | ( | void |  | ) |

inline

Compute bounding box.

Definition at line 110 of file visualnode.hpp.

## operator[]() [1/2]

const Extent & Gecode::Gist::Shape::operator[] | ( | int | i | ) | const

inline

Return extent at depth i.

Definition at line 69 of file visualnode.hpp.

## operator[]() [2/2]

Extent & Gecode::Gist::Shape::operator[] | ( | int | i | ) |

inline

Return extent at depth i.

Definition at line 75 of file visualnode.hpp.

## getExtentAtDepth()

bool Gecode::Gist::Shape::getExtentAtDepth | ( | int | depth,
|  | Extent & | extent )

inline

Return if extent exists at depth, if yes return it in extent.

Definition at line 97 of file visualnode.hpp.

## getBoundingBox()

const BoundingBox & Gecode::Gist::Shape::getBoundingBox | ( | void |  | ) | const

inline

Return bounding box.

Definition at line 124 of file visualnode.hpp.

## Member Data Documentation

## leaf

Shape * Gecode::Gist::Shape::leaf

static

Static shape for leaf nodes.

Definition at line 104 of file visualnode.hh.

## hidden

Shape * Gecode::Gist::Shape::hidden

static

Static shape for hidden nodes.

Definition at line 106 of file visualnode.hh.

The documentation for this class was generated from the following files:

- gecode/gist/visualnode.hh
- gecode/gist/visualnode.cpp
- gecode/gist/visualnode.hpp